Kivy
====

<img align="right" height="256" src="https://raw.githubusercontent.com/kivy/kivy/master/kivy/data/logo/kivy-icon-256.png"/>

Innovative User Interfaces Made Easy.

Kivy is a [Python](https://www.python.org) framework for the development of
multi-touch enabled media rich applications. The aim is to allow for quick and
easy interaction design and rapid prototyping whilst making your code reusable
and deployable.

Kivy is written in Python and [Cython](http://cython.org/), based on OpenGL ES
2, supports various input devices and has an extensive widget library. With the
same codebase, you can target Windows, OSX, Linux, Android and iOS. All our
widgets are built with multitouch support.

Kivy is MIT licensed, actively developed by a great community and is supported
by many projects managed by the Kivy organisation.

[![Kivy's Coverage](https://coveralls.io/repos/kivy/kivy/badge.png?branch=master)](https://coveralls.io/r/kivy/kivy?branch=master) [![Bountysource](https://www.bountysource.com/badge/tracker?tracker_id=42681)](https://www.bountysource.com/trackers/42681-kivy?utm_source=42681&utm_medium=shield&utm_campaign=TRACKER_BADGE)

Installation, Documentation and Examples
----------------------------------------

Extensive installation instructions as well as tutorials and general
documentation, including an API reference, can be found at: http://kivy.org/docs/

An offline version in PDF format is also available.
Kivy ships with a bunch of examples that can be found in the examples/ folder.

Support
-------

If you need assistance, you can ask for help on our mailing list:

* User Group : https://groups.google.com/group/kivy-users
* Email      : kivy-users@googlegroups.com

We also have an IRC channel:

* Server  : irc.freenode.net
* Port    : 6667, 6697 (SSL only)
* Channel : #kivy

Contributing
------------

We love pull requests and discussing novel ideas. Check out our
contribution guide (http://kivy.org/docs/contribute.html) and
feel free to improve Kivy.

The following mailing list and IRC channel are used exclusively for
discussions about developing the Kivy framework and its sister projects:

* Dev Group : https://groups.google.com/group/kivy-dev
* Email     : kivy-dev@googlegroups.com

IRC channel:

* Server  : irc.freenode.net
* Port    : 6667, 6697 (SSL only)
* Channel : #kivy-dev

Other projects
---------------

Have a look at our complementary projects:

- [Buildozer](http://github.com/kivy/buildozer): A robot that will do
  everything needed to package your application for iOS and Android. Ask him,
  wait, it's done.
- [Plyer](http://github.com/kivy/plyer): Library for accessing features of your
  hardware such as the Accelerometer, Camera etc.
- [Pyjnius](http://github.com/kivy/pyjnius): Dynamic access to the Java/Android
  API from Python? Easy!
- [Pyobjus](http://github.com/kivy/pyobjus): Dynamic access to the
  Objective-C/iOS API from Python (wip).
- [Python for Android](http://github.com/kivy/python-for-android): Toolchain
  for building and packaging Kivy applications into Android APK's.
- [Kivy iOS](http://github.com/kivy/kivy-ios): Toolchain for building and
  packaging Kivy applications into iOS IPA's.
- [Audiostream](http://github.com/kivy/audiostream): Library for direct access
  to the Microphone and Speaker (for iOS and Android).
- [Garden](http://github.com/kivy-garden): Explore User's widgets and libraries



Licenses
--------

- Kivy is released under the terms of the MIT License. Please refer to the
  LICENSE file.
- The provided fonts DroidSans.ttf and DroidSansMono.ttf are licensed and
  distributed under the terms of the
  [Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0).
- The current UI design has been adapted from Moblintouch theme's SVGs
  and is licensed under the terms of the
  [LGPLv2.1](http://www.gnu.org/licenses/old-licenses/lgpl-2.1).


